Bug 2372 - Unable to install qt-creator
: Unable to install qt-creator
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 09:48 MSD by FirstLevel
Modified: 2013-07-26 08:56 MSD (History)
4 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description FirstLevel 2013-07-24 09:48:22 MSD
Description of problem:
If I try to install qt-creator an error occured:
# urpmi qt-creator
Пакеты lib64xcb-util-keysyms1-0.3.9-1-rosa2012.1.x86_64, lib64gobject2.0_0-2.36.3-2-rosa2012.1.x86_64, lib64xcb-xfixes0-1.9.1-1-rosa2012.1.x86_64, lib64xslt1-1.1.27-1-rosa2012.1.x86_64, lib64xcb-util-image0-0.3.9-1-rosa2012.1.x86_64, lib64icui18n49-49.1.1-2-rosa2012.1.x86_64, lib64xcb-util-renderutil0-0.3.8-1-rosa2012.1.x86_64, lib64gmodule2.0_0-2.36.3-2-rosa2012.1.x86_64, lib64icuuc49-49.1.1-2-rosa2012.1.x86_64, lib64xcb-glx0-1.9.1-1-rosa2012.1.x86_64, lib64gstreamer-plugins-base0.10-0.10.36-2-rosa2012.1.x86_64, lib64z-devel-1.2.7-3-rosa2012.1.x86_64, lib64icu-devel-49.1.1-2-rosa2012.1.x86_64, lib64pcre16_0-8.31-4-rosa2012.1.x86_64, lib64icudata49-49.1.1-2-rosa2012.1.x86_64, lib64stdc++-devel-4.7.3_2012.10-3.1-rosa2012.1.x86_64, lib64xcb-shm0-1.9.1-1-rosa2012.1.x86_64, lib64tiff5-4.0.3-1-rosa2012.1.x86_64, lib64jpeg8-1.2.1-1-rosa2012.1.x86_64, lib64pcre-devel-8.31-4-rosa2012.1.x86_64, lib64sqlite3_0-3.7.16.1-1-rosa2012.1.x86_64, lib64glib2.0-devel-2.36.3-2-rosa2012.1.x86_64, lib64z1-1.2.7-3-rosa2012.1.x86_64, lib64gl1-9.0.1-3-rosa2012.1.x86_64, lib64gstbase0.10_0-0.10.36-4-rosa2012.1.x86_64, lib64xrender1-0.9.7-2-rosa2012.1.x86_64, lib64openssl1.0.0-1.0.1c-1-rosa2012.1.x86_64, lib64xv1-1.0.9-1-rosa2012.1.x86_64, lib64xcomposite1-0.4.3-5-rosa2012.1.x86_64, glibc-2.15-8-rosa2012.1.x86_64, lib64udev1-194-21-rosa2012.1.x86_64, lib64fontconfig1-2.10.93-2plf-plf2012.1.x86_64, lib64freetype6-2.4.12-1plf-plf2012.1.x86_64, lib64png15-1.5.13-1-rosa2012.1.x86_64, gcc-4.7.3_2012.10-3.1-rosa2012.1.x86_64, lib64xcb1-1.9.1-1-rosa2012.1.x86_64, lib64gcc1-4.7.3_2012.10-3.1-rosa2012.1.x86_64, lib64pulseaudio0-3.0-6-rosa2012.1.x86_64, lib64xcb-render0-1.9.1-1-rosa2012.1.x86_64, lib64glib2.0_0-2.36.3-2-rosa2012.1.x86_64, lib64stdc++6-4.7.3_2012.10-3.1-rosa2012.1.x86_64, lib64xcb-sync0-1.9.1-1-rosa2012.1.x86_64, lib64xcb-icccm4-0.3.9-1-rosa2012.1.x86_64, lib64dbus-1_3-1.6.8-3-rosa2012.1.x86_64, lib64xcb-shape0-1.9.1-1-rosa2012.1.x86_64, lib64xcb-randr0-1.9.1-1-rosa2012.1.x86_64, lib64gio2.0_0-2.36.3-2-rosa2012.1.x86_64, lib64xml2_2-2.9.1-1-rosa2012.1.x86_64, lib64gstreamer0.10_0-0.10.36-4-rosa2012.1.x86_64, lib64gthread2.0_0-2.36.3-2-rosa2012.1.x86_64, lib64openal1-1.15.1-1-rosa2012.1.x86_64, lib64x11_6-1.6.0-2-rosa2012.1.x86_64, lib64xext6-1.3.2-2-rosa2012.1.x86_64, lib64xi6-1.6.1-3-rosa2012.1.x86_64, lib64x11-xcb1-1.6.0-2-rosa2012.1.x86_64, perl-base-5.14.2-8-rosa2012.1.x86_64 уже установлен
Не удаётся установить следующие пакеты, т.к. они зависят от пакетов,
более старых, чем установленные:
lib64qt5gui-devel-5.1.0-10
lib64qt5designer-devel-5.1.0-10
qt5-devel-5.1.0-10
Продолжить установку?
Продолжить установку? (Y/n) ^C


I have tried to delete /var/cache/urpmi but it does not help.
I have done urpm-reposync but installation of qt-creator was failed too.

I use yandex mirror in my system
# urpmq --list-media active
main
main updates
contrib
contrib updates
non-free
non-free updates
restricted
restricted updates



# urpmq --list-url
main ftp://mirror.yandex.ru/rosa/rosa2012.1/repository/x86_64/media/main/release
main updates ftp://mirror.yandex.ru/rosa/rosa2012.1/repository/x86_64/media/main/updates
Main32 
Main32 Updates 
contrib ftp://mirror.yandex.ru/rosa/rosa2012.1/repository/x86_64/media/contrib/release
contrib updates ftp://mirror.yandex.ru/rosa/rosa2012.1/repository/x86_64/media/contrib/updates
non-free ftp://mirror.yandex.ru/rosa/rosa2012.1/repository/x86_64/media/non-free/release
non-free updates ftp://mirror.yandex.ru/rosa/rosa2012.1/repository/x86_64/media/non-free/updates
Non-free32 
Non-free32 Updates 
restricted ftp://mirror.yandex.ru/rosa/rosa2012.1/repository/x86_64/media/restricted/release
restricted updates ftp://mirror.yandex.ru/rosa/rosa2012.1/repository/x86_64/media/restricted/updates
Restricted32 
Restricted32 Updates 



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
Comment 1 FirstLevel 2013-07-24 09:50:11 MSD
I (firstlevel) has told with A. Burmashev and he said that it maybe a problem with urpmi.
Comment 2 Alexander Burmashev 2013-07-24 11:07:31 MSD
provide please output with --debug,
urpmi qt-creator --debug
Comment 3 Aleksandr Kazantcev 2013-07-24 11:11:17 MSD
Try package perl-URPM latest from this bughttp://bugs.rosalinux.ru/show_bug.cgi?id=2366
Comment 4 Aleksandr Kazantcev 2013-07-24 11:12:15 MSD
http://bugs.rosalinux.ru/show_bug.cgi?id=2366
Comment 5 Denis Silakov 2013-07-25 16:59:08 MSD
Updated perl-URPM has been recently published (perl-URPM-4.43-17-rosa2012.1
), it should arrive with updates during the day. Could you update to it and check if the problem disappears?
Comment 6 FirstLevel 2013-07-26 08:56:27 MSD
(In reply to comment #5)
> Updated perl-URPM has been recently published (perl-URPM-4.43-17-rosa2012.1
> ), it should arrive with updates during the day. Could you update to it and
> check if the problem disappears?

Yes, problem is resolved.